#include <iostream>
#include <string>

using namespace std;

int main()
{
	int i;
	string a, b, c, a1, a2, a3, a4, a5, a6,x;
	cin >> a >> b >> c;
	a1 = a + b + c;
	a2 = a + c + b;
	a3 = b + a + c;
	a4 = b + c + a;
	a5 = c + a + b;
	a6 = c + b + a;
	x = a1;
	if (a2 >= x) x = a2;
	if (a3 >= x) x = a3;
	if (a4 >= x) x = a4;
	if (a5 >= x) x = a5;
	if (a6 >= x) x = a6;
	cout << x;
	return 0;
}